## sagemath 9.4

=== debian/changelog ===
sagemath (9.4-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Remove (Build-)Depends:
    - libfplll-dev
  * Autopkgtests:
    - Do not run long tests to avoid timeouts.
    - Set restriction skip-not-installable since sagemath
      is not available on all architectures.

  [ Nilesh Patra ]
  * New patches:
    - u3-fix-i386-build.patch                   #33073

 -- Tobias Hansen <thansen@debian.org>  Wed, 29 Dec 2021 13:17:02 +0000

sagemath (9.4-1) unstable; urgency=medium

  * New upstream release. (Closes: #951592, #960925, #964848,
    #984326, #986527, #993149, #998190)
  * Doctests work out of the box now. (Closes: #931223)
  * Build standard python package python3-sage.
  * Install scripts to /usr/bin (Closes: #972346)
  * Activate autopkgtest.
  * Move package to Debian Math Team.
  * New (Build-)Depends:
    - Use dependencies as provided by upstream (drop many).
    - libec-dev (>= 20210503)
    - python3-memory-allocator
    - python3-sphinx (>= 4.3.1-2) (includes fix to dh_sphinxdoc)
    - singular (>= 1:4.2.1-p2)
  * Add dependency on libjs-mathjax to sagemath-doc.
    (Closes: #988681)
  * Run dh_sphinxdoc again.
  * New patches:
    - u0-trac32799-set-MPMATH_SAGE.patch         #32799
    - u0-version-arb-2.21.patch                  #32567
    - u0-version-matplotlib-3.5.patch            #32909
    - u0-version-singular-4.2.1.patch            #32001
    - u0-version-singular-4.2.1p2.patch          #32907
    - u0-version-lcalc-2.0.patch                 #32037
    - u0-version-linbox-1.7.patch                #32959
    - u0-version-gsl-2.7.patch                   #32607
    - u0-version-sphinx-4.3.patch                #32968
    - u1-close-the-internal-pipe-of-multiprocessing.Process.patch
    - dt-version-ipywidgets-6-revert-31517.patch
  * Remove patches (applied upstream):
    - u0-version-pari-2.13-spkg-configure.patch  #30906
    - u0-version-pari-2.13.patch                 #30801
    - u0-version-gap-4.11.patch                  #29314
    - u0-version-flint-2.6.3.patch               #29719
    - d1-no-spkg-builds.patch
    - d1-system-python-packages.patch
    - dt-avoid-pari-timeout.patch
  * Remove patches (no longer required):
    - u1-scripts-dir.patch                       #22731
    - d0-gsl-cblas.patch
    - d0-libgap-path.patch
    - d0-singular.patch
    - d0-docbuild-main.patch
    - d1-sage-env.patch
    - d1-sage.patch
    - dt-avoid-giac-segfault.patch
    - dt-avoid-ecl-timeout.patch
  * Use dephelper-compat level 13.

 -- Tobias Hansen <thansen@debian.org>  Sat, 18 Dec 2021 00:15:17 +0000
