=== debian/control ===
## DO NOT EDIT debian/control directly, edit debian/control.in instead
Source: sagemath
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>,
           Julien Puydt <jpuydt@debian.org>,
           Jerome Benoit <calculus@rezozer.net>,
           Ximin Luo <infinity0@debian.org>
Standards-Version: 4.6.0
Homepage: http://www.sagemath.org/
Vcs-Git: https://salsa.debian.org/math-team/sagemath.git
Vcs-Browser: https://salsa.debian.org/math-team/sagemath
Rules-Requires-Root: no
Build-Depends:
 autoconf,
 debhelper (>= 13~),
 debhelper-compat (= 13),
 dh-python (>= 2.20170125),
 dpkg-dev (>= 1.17.14),
 pkg-config,
 python3-debian,
 python3-dev,
 python3-dbg,
 rdfind,
# Dependencies provided by upstream doc in sage/src/doc/en/installation/debian.txt:
 bc,
 binutils,
 bzip2,
 ca-certificates,
 cliquer,
 cmake,
 curl,
 ecl,
 eclib-tools,
 fflas-ffpack,
 flintqs,
 gfan,
 gfortran,
 glpk-utils,
 gmp-ecm,
 lcalc,
 libcdd-tools,
 m4,
 nauty,
 openssl,
 palp,
 pari-doc,
 pari-elldata,
 pari-galdata,
 pari-galpol,
 pari-gp2c,
 pari-seadata,
 patch,
 perl,
 pkg-config,
 planarity,
 python3,
 python3-distutils,
 r-base-dev,
 r-cran-lattice,
 sqlite3,
 sympow,
 tachyon,
 tox,
 xcas,
 xz-utils,
 yasm,
# Library dependencies provided by upstream doc in sage/src/doc/en/installation/debian.txt:
 libatomic-ops-dev,
 libboost-dev,
 libbraiding-dev,
 libbrial-dev,
 libbrial-groebner-dev,
 libbz2-dev,
 libcdd-dev,
 libcliquer-dev,
 libcurl4-openssl-dev,
 libec-dev,
 libecm-dev,
 libffi-dev,
 libflint-arb-dev,
 libflint-dev,
 libfreetype6-dev,
 libgc-dev,
 libgd-dev,
 libgf2x-dev,
 libgiac-dev,
 libgivaro-dev,
 libglpk-dev,
 libgmp-dev,
 libgsl-dev,
 libhomfly-dev,
 libiml-dev,
 liblfunction-dev,
 liblrcalc-dev,
 liblzma-dev,
 libm4rie-dev,
 libmpc-dev,
 libmpfi-dev,
 libmpfr-dev,
 libncurses5-dev,
 libntl-dev,
 libopenblas-dev,
 libpari-dev,
 libpcre3-dev,
 libplanarity-dev,
 libppl-dev,
 libpython3-dev,
 libreadline-dev,
 librw-dev,
 libsqlite3-dev,
 libssl-dev,
 libsuitesparse-dev,
 libsymmetrica2-dev,
 libz-dev,
 libzmq3-dev,
 libzn-poly-dev,
 ppl-dev,
# Additional dependencies not provided by upstream:
 python3-memory-allocator,
 python-ppl-doc,
 singular (>= 1:4.2.1-p2+ds-3),
 gap-dev (>= 4.11.0),
 gap-online-help,
 gap-atlasrep (>= 2.1.0-2),
 gap-primgrp,
 gap-smallgrp,
 gap-transgrp,
 gap-table-of-marks,
 jmol,
 libjs-mathjax,
 libjs-three (>= 111),
 liblinbox-dev (>= 1.7.0-2),
 libsingular4-dev (>= 1:4.2.1-p2+ds-3),
 maxima-sage (>= 5.44.0),
 maxima-sage-share (>= 5.44.0),
 sagemath-database-conway-polynomials (>= 0.5-7),
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
# Additional library dependencies not provided by upstream:
 libgap-dev,
 libpynac-dev (>= 0.7.29-2),
 libratpoints-dev,
 maxima-sage-doc (>= 5.42.2),
 pari-doc (>= 2.11.0),
 python3-sagenb-export (>= 3.2),
 singular-doc (>= 1:4.2.1-p2+ds-3),
# Python dependencies from sagelib's install_requires:
 python3-ipykernel,
 python3-ipython,
 python3-ipywidgets (>= 6.0.0),
 python3-jupyter-client,
 python3-jupyter-core,
# Additional dependencies not provided by upstream:
 jupyter-nbextension-jupyter-js-widgets,
 python3-nbconvert,
 python3-nbformat,
 python3-notebook (>= 4.2.3-3),
# Python dependencies from sagelib's install_requires:
 cython3 (>= 0.29.1),
 python3-cypari2 (>= 2.1),
 python3-fpylll (>= 0.4.1),
 python3-gmpy2,
 python3-jinja2,
 python3-matplotlib (>= 2.1),
 python3-mpmath,
 python3-networkx (>= 2.2),
 python3-numpy (>= 1:1.14),
 python3-pexpect (>= 4.1),
 python3-pil,
 python3-pkgconfig,
 python3-ppl,
 python3-psutil,
 python3-rpy2,
 python3-scipy (>= 1.2),
 python3-six (>= 1.15.0),
 python3-sphinx (>= 4.3.1-2),
 python3-sympy,

Package: sagemath
Architecture: all
Description: Open Source Mathematical Software
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the main SageMath installation.
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
 python3-sage (>= ${source:Version}), python3-sage (<< ${source:Version}.1~)
Recommends:
 sagemath-doc (= ${source:Version}),
 sagemath-jupyter (= ${source:Version}),
 sagetex,
 texlive-latex-base
Suggests:
 dot2tex,
 gap-design,
 gap-factint,
 gap-grape,
 gap-guava,
 gap-laguna,
 gap-sonata,
 gap-toric
Breaks: sagemath-common (<< 9.4-1)
Replaces: sagemath-common (<< 9.4-1)

Package: python3-sage
Section: python
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
# Dependencies provided by upstream doc in sage/src/doc/en/installation/debian.txt:
 bc,
 binutils,
 bzip2,
 ca-certificates,
 cliquer,
 cmake,
 curl,
 ecl,
 eclib-tools,
 fflas-ffpack,
 flintqs,
 gfan,
 gfortran,
 glpk-utils,
 gmp-ecm,
 lcalc,
 libcdd-tools,
 m4,
 nauty,
 openssl,
 palp,
 pari-doc,
 pari-elldata,
 pari-galdata,
 pari-galpol,
 pari-gp2c,
 pari-seadata,
 patch,
 perl,
 pkg-config,
 planarity,
 python3,
 python3-distutils,
 r-base-dev,
 r-cran-lattice,
 sqlite3,
 sympow,
 tachyon,
 tox,
 xcas,
 xz-utils,
 yasm,
# Library dependencies provided by upstream doc in sage/src/doc/en/installation/debian.txt:
 libatomic-ops-dev,
 libboost-dev,
 libbraiding-dev,
 libbrial-dev,
 libbrial-groebner-dev,
 libbz2-dev,
 libcdd-dev,
 libcliquer-dev,
 libcurl4-openssl-dev,
 libec-dev,
 libecm-dev,
 libffi-dev,
 libflint-arb-dev,
 libflint-dev,
 libfreetype6-dev,
 libgc-dev,
 libgd-dev,
 libgf2x-dev,
 libgiac-dev,
 libgivaro-dev,
 libglpk-dev,
 libgmp-dev,
 libgsl-dev,
 libhomfly-dev,
 libiml-dev,
 liblfunction-dev,
 liblrcalc-dev,
 liblzma-dev,
 libm4rie-dev,
 libmpc-dev,
 libmpfi-dev,
 libmpfr-dev,
 libncurses5-dev,
 libntl-dev,
 libopenblas-dev,
 libpari-dev,
 libpcre3-dev,
 libplanarity-dev,
 libppl-dev,
 libpython3-dev,
 libreadline-dev,
 librw-dev,
 libsqlite3-dev,
 libssl-dev,
 libsuitesparse-dev,
 libsymmetrica2-dev,
 libz-dev,
 libzmq3-dev,
 libzn-poly-dev,
 ppl-dev,
# Additional dependencies not provided by upstream:
 python3-memory-allocator,
 python-ppl-doc,
 singular (>= 1:4.2.1-p2+ds-3),
 gap-dev (>= 4.11.0),
 gap-online-help,
 gap-atlasrep (>= 2.1.0-2),
 gap-primgrp,
 gap-smallgrp,
 gap-transgrp,
 gap-table-of-marks,
 jmol,
 libjs-mathjax,
 libjs-three (>= 111),
 liblinbox-dev (>= 1.7.0-2),
 libsingular4-dev (>= 1:4.2.1-p2+ds-3),
 maxima-sage (>= 5.44.0),
 maxima-sage-share (>= 5.44.0),
 sagemath-database-conway-polynomials (>= 0.5-7),
 sagemath-database-elliptic-curves,
 sagemath-database-graphs,
 sagemath-database-mutually-combinatorial-designs,
 sagemath-database-polytopes,
# Additional library dependencies not provided by upstream:
 libgap-dev,
 libpynac-dev (>= 0.7.29-2),
 libratpoints-dev,
Recommends:
 maxima-sage-doc (>= 5.42.2),
 pari-doc (>= 2.11.0),
 python3-sagenb-export (>= 3.2),
 singular-doc (>= 1:4.2.1-p2+ds-3),
Description: Open Source Mathematical Software - Python 3 library
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package installs the library for Python 3.
Breaks: sagemath (<< 9.4-1)
Replaces: sagemath (<< 9.4-1)

Package: sagemath-jupyter
Architecture: all
Description: Open Source Mathematical Software - Jupyter kernel
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the Jupyter kernel of SageMath.
Depends: ${misc:Depends},
# Python dependencies from sagelib's install_requires:
 python3-ipykernel,
 python3-ipython,
 python3-ipywidgets (>= 6.0.0),
 python3-jupyter-client,
 python3-jupyter-core,
# Additional dependencies not provided by upstream:
 jupyter-nbextension-jupyter-js-widgets,
 python3-nbconvert,
 python3-nbformat,
 python3-notebook (>= 4.2.3-3),
 sagemath (= ${source:Version})

Package: sagemath-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: Open Source Mathematical Software - documentation
 SageMath is a free open-source mathematics software system licensed under the
 GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
 matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
 power through a common, Python-based language or directly via interfaces or
 wrappers.
 .
 Mission: Creating a viable free open source alternative to Magma, Maple,
 Mathematica and Matlab.
 .
 This package contains the documentation.
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Breaks: sagemath-doc-ca (<< 8.9~beta9-1~), sagemath-doc-de (<< 8.9~beta9-1~),
 sagemath-doc-en (<< 8.9~beta9-1~), sagemath-doc-es (<< 8.9~beta9-1~),
 sagemath-doc-fr (<< 8.9~beta9-1~), sagemath-doc-hu (<< 8.9~beta9-1~),
 sagemath-doc-it (<< 8.9~beta9-1~), sagemath-doc-ja (<< 8.9~beta9-1~),
 sagemath-doc-pt (<< 8.9~beta9-1~), sagemath-doc-ru (<< 8.9~beta9-1~),
 sagemath-doc-tr (<< 8.9~beta9-1~)
Replaces: sagemath-doc-ca (<< 8.9~beta9-1~), sagemath-doc-de (<< 8.9~beta9-1~),
 sagemath-doc-en (<< 8.9~beta9-1~), sagemath-doc-es (<< 8.9~beta9-1~),
 sagemath-doc-fr (<< 8.9~beta9-1~), sagemath-doc-hu (<< 8.9~beta9-1~),
 sagemath-doc-it (<< 8.9~beta9-1~), sagemath-doc-ja (<< 8.9~beta9-1~),
 sagemath-doc-pt (<< 8.9~beta9-1~), sagemath-doc-ru (<< 8.9~beta9-1~),
 sagemath-doc-tr (<< 8.9~beta9-1~)
