=== sage/pkgs/sage-setup/requirements.txt ===
Cython
pkgconfig
