=== sage/build/pkgs/admcycles/requirements.txt ===
admcycles
