=== sage/build/pkgs/beautifulsoup4/requirements.txt ===
beautifulsoup4
