=== sage/build/pkgs/jupyterlab/requirements.txt ===
jupyterlab ~= 2.2.5
