=== debian/changelog ===
sagemath (9.5-4) unstable; urgency=medium

  * Remove armel, armhf, mips64el and mipsel from Architecture list
    due to continual test failures. (Closes: #1009241)

 -- Tobias Hansen <thansen@debian.org>  Fri, 15 Apr 2022 17:38:10 +0100

sagemath (9.5-3) unstable; urgency=medium

  * Update debian/rules for Python 3.10.

 -- Tobias Hansen <thansen@debian.org>  Mon, 11 Apr 2022 08:53:24 +0000

sagemath (9.5-2) unstable; urgency=medium

  * Fix command removing sage-conf dependency from setup.cfg to avoid
    spurious dependency of python3-sage on sagemath-common caused by
    dh_python3.
  * Fix command for rerunning doctests.

 -- Tobias Hansen <thansen@debian.org>  Sat, 12 Feb 2022 18:42:24 +0000

sagemath (9.5-1) unstable; urgency=medium

  * New upstream release.
  * New (Build-)Depends:
    - python3-primecountpy
  * Remove (Build-)Depends:
    - libpynac-dev
  * New patches:
    - u0-version-arb-2.22.patch                  #33189
    - d0-cygdb3.patch
  * Remove patches (applied upstream):
    - u0-trac32799-set-MPMATH_SAGE.patch         #32799
    - u0-version-arb-2.21.patch                  #32567
    - u0-version-matplotlib-3.5.patch            #32909
    - u0-version-singular-4.2.1.patch            #32001
    - u0-version-singular-4.2.1p2.patch          #32907
    - u0-version-lcalc-2.0.patch                 #32037
    - u0-version-gsl-2.7.patch                   #32607
    - u1-close-the-internal-pipe-of-multiprocessing.Process.patch #33032
    - u3-fix-i386-build.patch                    #33073

 -- Tobias Hansen <thansen@debian.org>  Thu, 10 Feb 2022 21:58:08 +0000

sagemath (9.4-3) unstable; urgency=medium

  * Add Breaks+Replaces: sagemath-common (<< 9.4-1) for python3-sage.
    (Closes: #1002849)
  * Build-Depend on and Recommend cysignals-tools to obtain backtraces
    during build.
  * Set autopkgtest restriction allow-stderr.
  * Allow up to 100 test failures during build.
  * debian/watch: Check github releases rather than tags page,
    the latter may contain only prereleases on page 1.

 -- Tobias Hansen <thansen@debian.org>  Sat, 08 Jan 2022 11:50:35 +0000
