=== debian/control ===
--- 
+++ 
@@ -119,6 +119,7 @@
  ppl-dev,
 # Additional dependencies not provided by upstream:
  python3-memory-allocator,
+ python3-primecountpy,
  python-ppl-doc,
  singular (>= 1:4.2.1-p2+ds-3),
  gap-dev (>= 4.11.0),
@@ -142,8 +143,8 @@
  sagemath-database-polytopes,
 # Additional library dependencies not provided by upstream:
  libgap-dev,
- libpynac-dev (>= 0.7.29-2),
  libratpoints-dev,
+ cysignals-tools,
  maxima-sage-doc (>= 5.42.2),
  pari-doc (>= 2.11.0),
  python3-sagenb-export (>= 3.2),
@@ -214,7 +215,7 @@
 
 Package: python3-sage
 Section: python
-Architecture: any
+Architecture: amd64 arm64 i386 ppc64el s390x alpha hppa hurd-i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
 # Dependencies provided by upstream doc in sage/src/doc/en/installation/debian.txt:
  bc,
@@ -312,6 +313,7 @@
  ppl-dev,
 # Additional dependencies not provided by upstream:
  python3-memory-allocator,
+ python3-primecountpy,
  python-ppl-doc,
  singular (>= 1:4.2.1-p2+ds-3),
  gap-dev (>= 4.11.0),
@@ -335,9 +337,9 @@
  sagemath-database-polytopes,
 # Additional library dependencies not provided by upstream:
  libgap-dev,
- libpynac-dev (>= 0.7.29-2),
  libratpoints-dev,
 Recommends:
+ cysignals-tools,
  maxima-sage-doc (>= 5.42.2),
  pari-doc (>= 2.11.0),
  python3-sagenb-export (>= 3.2),
@@ -353,8 +355,8 @@
  Mathematica and Matlab.
  .
  This package installs the library for Python 3.
-Breaks: sagemath (<< 9.4-1)
-Replaces: sagemath (<< 9.4-1)
+Breaks: sagemath (<< 9.4-1), sagemath-common (<< 9.4-1)
+Replaces: sagemath (<< 9.4-1), sagemath-common (<< 9.4-1)
 
 Package: sagemath-jupyter
 Architecture: all
