=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,11 @@
 # 3. PACKAGE BUILD
 ###############################################################################
 
+override_dh_auto_configure:
+	cd sage/pkgs/sage-setup && python3 setup.py build
+	cd sage/pkgs/sage-setup && python3 setup.py install --root=$(CURDIR)/debian/tmp0 --install-layout=deb
+	export PYTHONPATH=$(CURDIR)/debian/tmp0/usr/lib/python3/dist-packages && dh_auto_configure
+
 # We install directly after building in order to use the python package for
 # docbuild and testing. This is required both for arch and indep builds.
 debian/tmp/usr/bin/sage:
@@ -61,14 +66,14 @@
 # Generate setup.cfg etc in sage/src from .m4 files:
 	cd sage/build/pkgs/sagelib && SAGE_ROOT=$(CURDIR)/sage PATH=$(PATH):$(CURDIR)/sage/build/bin ./bootstrap
 # Remove sage-conf from setup.cfg, it can lead to a dependency on sagemath-common
-	sed -i '/sage_conf/d' sage/src/setup.cfg
-	dh_auto_build
-	dh_auto_install
+	sed -i '/sage-conf/d' sage/src/setup.cfg
+	export PYTHONPATH=$(CURDIR)/debian/tmp0/usr/lib/python3/dist-packages && dh_auto_build
+	export PYTHONPATH=$(CURDIR)/debian/tmp0/usr/lib/python3/dist-packages && dh_auto_install
 	mkdir -p debian/tmp
 	mv debian/python3-sage/usr debian/tmp/
 	rm -rf debian/python3-sage
-	mkdir -p debian/tmp/usr/lib/python3.9/dist-packages/
-	cp -f debian/sage_conf.py debian/tmp/usr/lib/python3.9/dist-packages/
+	mkdir -p debian/tmp/usr/lib/python3.10/dist-packages/
+	cp -f debian/sage_conf.py debian/tmp/usr/lib/python3.10/dist-packages/
 
 override_dh_auto_build-arch: debian/tmp/usr/bin/sage
 
@@ -77,7 +82,7 @@
 	cd sage && SAGE_ROOT=$(CURDIR)/sage PATH=$(PATH):$(CURDIR)/sage/build/bin src/doc/bootstrap
 	mv sage/src/sage sage/src/sage.bak # Use the installed sage, not the one from the source tree
 	cd sage/src && \
-	export PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3.9/dist-packages \
+	export PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3.10/dist-packages \
 	       SAGE_SRC=$(CURDIR)/sage/src \
 	       SAGE_DOC_SRC=$(CURDIR)/sage/src/doc \
 	       SAGE_DOC=$(CURDIR)/sage/src/doc \
@@ -150,6 +155,8 @@
 	rm -f sage/pkgs/sagemath-standard/sage_conf.py
 	dh_clean
 
+override_dh_auto_clean:
+
 #override_dh_strip:
 #	dh_strip -ppython3-sage --dbg-package=python3-sage-dbg
 
@@ -172,28 +179,17 @@
 
 run_tests = \
 	export PATH=$(PATH):$(CURDIR)/debian/tmp/usr/bin \
-	       PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3.9/dist-packages \
+	       PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3.10/dist-packages \
 	       SAGE_DOC=$(CURDIR)/sage/src/doc \
 	       SAGE_LOCAL=/usr && cd sage && \
 	sage -t -p $(SAGE_NUM_THREADS) --logfile=$(CURDIR)/sage/logs/ptestlong-$(1).log $(2)
 
+rerun_tests = \
+	export PATH=$(PATH):$(CURDIR)/debian/tmp/usr/bin \
+	       PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3.10/dist-packages \
+	       SAGE_DOC=$(CURDIR)/sage/src/doc \
+	       SAGE_LOCAL=/usr && cd sage && \
+	sage -t -p 1 -f --logfile=$(CURDIR)/sage/logs/ptestlong-$(1).log $(2)
+
 run_tests_with_retry = \
 	$(run_tests); cd "$(CURDIR)" && \
-	if $(TESTS_MK) LOGFILE=sage/logs/ptestlong-$(1).log MAX_TEST_FAILURES=$(3) had-few-failures; then :; else \
-	  $(TESTS_MK) LOGFILE=sage/logs/ptestlong-$(1).log MAX_TEST_FAILURES=$(3) had-not-too-many-failures && \
-	  mv sage/logs/ptestlong-$(1).log sage/logs/ptestlong-$(1).log.1 && \
-	  { $(run_tests) -p 1 -f; cd "$(CURDIR)" && \
-	  $(TESTS_MK) LOGFILE=sage/logs/ptestlong-$(1).log MAX_TEST_FAILURES=$(3) had-few-failures; }; \
-	fi
-
-override_dh_auto_test-arch:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p sage/logs
-	$(call run_tests_with_retry,arch,$(SAGE_TEST_FLAGS_ARCH) src/sage,150)
-endif
-
-override_dh_auto_test-indep:
-ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p sage/logs
-	$(call run_tests_with_retry,indep,$(SAGE_TEST_FLAGS_INDEP) src/doc src/sage/misc/sagedoc.py,25)
